Sound Data Management Training - Support #481
Support # 483 (New): Events and Conferences

DAFx 2012
2012-06-07 03:33 PM - Steve Welburn

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Steve Welburn % Done:
Category: Estimated time:
Target version:

2012-09-17
2012-09-21
100%

0.00 hour

Description

15th International Conference on Digital Audio Effects (DAFx-12)
September 17-21, 2012 York, UK

History

#1 - 2012-06-07 03:35 PM - Steve Welburn
- Parent task set to #483

#2 - 2012-09-26 12:21 PM - Steve Welburn
- Assignee set to Steve Welburn

#3 - 2012-09-26 12:23 PM - Steve Welburn
- % Done changed from 0 to 100

#4 - 2012-09-26 12:24 PM - Steve Welburn

- Status changed from New to Closed
